/*-----------------------------------------------------------------------------
 * Copyright (c) 2009 Civic Computing Ltd.
 * All rights reserved.
 *
 * This file is part of Content Control.
 *
 * Content Control is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Content Control is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Content Control.  If not, see http://www.gnu.org/licenses/.
 *
 * Revision      $Rev: 3412 $
 * Modified by   $Author: keith $
 * Modified on   $Date: 2011-01-27 17:40:06 +0200 (Thu, 27 Jan 2011) $
 *
 * Changes: see subversion log.
 *-----------------------------------------------------------------------------
 */
package ccc.api.core;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;

import org.apache.commons.configuration.Configuration;

/**
 * The search API.
 *
 * @author Civic Computing Ltd.
 */
@Consumes("application/json")
@Produces("application/json")
public interface ConfigurationService {
	public static final String INDEX_DIR = "search.lucene.indexDir";
	public static final String LOCK_DIR = "search.lucence.lockDir";
	public static final String LOCK_FACTORY_CLASS = "search.lucene.lockFactoryClass";
	public static final String MAX_PDF_PAGES = "search.lucene.maxPdfPages";
	public static final String DISABLE_INDEXER = "search.lucene.disableIndexer";
	public static final String DISABLE_LOCKS = "search.lucene.disableLocks";

	/** NAME : String. */
	String NAME = "Configuration";
	
	/**
	 * Get the configuration
	 * 
	 * @return the configuration
	 */
	@GET @Path(ccc.api.core.ResourceIdentifiers.Configuration.GET)
	Configuration getConfiguration();

	/**
	 * Reload the configuration
	 */
	@POST @Path(ccc.api.core.ResourceIdentifiers.Configuration.RELOAD)
	void reloadConfiguration();
}
