/*-----------------------------------------------------------------------------
 * Copyright (c) 2008 Civic Computing Ltd.
 * All rights reserved.
 *
 * This file is part of Content Control.
 *
 * Content Control is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Content Control is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Content Control.  If not, see http://www.gnu.org/licenses/.
 *
 * Revision      $Rev: 2763 $
 * Modified by   $Author: keith $
 * Modified on   $Date: 2010-05-08 21:13:02 +0300 (Sat, 08 May 2010) $
 *
 * Changes: see subversion log.
 *-----------------------------------------------------------------------------
 */

package ccc.api.types;

import java.io.InputStream;

/**
 * An action to perform on an {@link InputStream}.
 *
 * @author Civic Computing Ltd.
 */
public interface StreamAction {
    /**
     * Execute the action.
     *
     * @param is The input stream to operate on.
     * @throws Exception If the action fails.
     */
    void execute(InputStream is) throws Exception;
}
