/*-----------------------------------------------------------------------------
 * Copyright © 2010 Civic Computing Ltd.
 * All rights reserved.
 *
 * This file is part of Content Control.
 *
 * Content Control is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Content Control is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Content Control.  If not, see http://www.gnu.org/licenses/.
 *
 * Revision      $Rev: 3405 $
 * Modified by   $Author: keith $
 * Modified on   $Date: 2011-01-26 18:46:29 +0200 (Wed, 26 Jan 2011) $
 *
 * Changes: see the subversion log.
 *-----------------------------------------------------------------------------
 */
package ccc.plugins.security;


/**
 * API for managing server sessions.
 *
 * @author Civic Computing Ltd.
 */
public interface Sessions {

    /**
     * Log the specified user into the system.
     *
     * @param username The user's username.
     * @param password The user's password.
     *
     * @return True if the user was logged in, false otherwise.
     */
    boolean login(String username, String password);


    /**
     * Set the 'run as' role for the current thread.
     *
     * @param roleName The name of the role to set.
     */
    void pushRunAsRole(String roleName);


    /**
     * Clear the 'run as' role for the current thread.
     */
    void popRunAsRole();
}
